/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.csu.sdmx.validation.model;

import java.util.Map;

/**
 *
 * @author themi
 */
public class Obs{
    
    private String lineNumber;
    private Map<String, String> attrs;

    public Obs(String lineNumber, Map<String, String> attrs) {
        this.lineNumber = lineNumber;
        this.attrs = attrs;
    }
    
    public String getLineNumber() {
        return lineNumber;
    }

    public Map<String, String> getAttrs() {
        return attrs;
    }

    public String getAttr(String obsValAttrName) {
        return attrs.get(obsValAttrName);
    }
    
}
